Summary: GNU collection of diff utilities
Name: diffutils
Version: 3.8
Release: 3%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/diffutils/diffutils.html
Source0: https://ftp.gnu.org/gnu/diffutils/diffutils-%{version}.tar.xz

BuildRequires: gcc make autoconf automake
BuildRequires: help2man texinfo

Provides: bundled(gnulib)

%description
GNU Diffutils is a package of several programs related to finding differences  
between files, including four utilities: diff, cmp, diff3 and sdiff. Diff 
compares and shows the differences between two files line by line. Cmp 
shows the offset and line numbers where two files differ, or 
cmp can show the characters that differ between the two files. 
Diff3 shows the differences between three files. Sdiff 
can be used to merge two files interactively.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir

%find_lang %{name}

%check
%make_build check

%files -f %{name}.lang
%license COPYING
%doc NEWS README
%{_bindir}/cmp
%{_bindir}/*diff*
%{_mandir}/man1/cmp*
%{_mandir}/man1/*diff*
%{_infodir}/diffutils.info*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 12 2022 Yi Lin <nilusyi@tencent.com> - 3.8-1
- package init.
